﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace WebApplication14
{
    public partial class WebForm1 : System.Web.UI.Page
    {
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            string sort = "ASC";
            if (Request.QueryString["sort"] != null)
            {
                sort = Request.QueryString["sort"];
            }
            SectionReport1 rpt = new SectionReport1();
            rpt.Sort = sort;    
            rpt.DataSource = GetData(sort);
            WebViewer1.Report = rpt;
        }
    }

        private System.Data.DataView GetData(string sort)
        {   
            System.Data.DataSet ds = new System.Data.DataSet();
            ds.ReadXml(Server.MapPath("Data.xml"));

            System.Data.DataView view = ds.Tables[0].DefaultView;
            view.Sort = "产品ID " + sort;
            
            return view;
        }
    }
}